You are viewing documentation for version 3 of the AWS SDK for Ruby. Version 2 documentation can be found here.

Module: Aws::Sigv2

Defined in:
gems/aws-sigv2/lib/aws-sigv2.rb,
gems/aws-sigv2/lib/aws-sigv2/signer.rb,
gems/aws-sigv2/lib/aws-sigv2/credentials.rb

Overview

This is a legacy signer. You should AWS signature version 4 instead, as provided by the aws-sigv4 gem.

This exists primarily to support SimpleDB which does not accept version 4 signatures.

Known Limitations

  • This signer is only compatible with AWS services that use the Query protocol. Only around 18 of the 80+ AWS services use this protocol.

  • This signer is not capable of producing a valid signature for Amazon S3. It is not aware of S3 sub-resources and how to properly insert them into the URI path. Amazon S3 supports signature version 4 in every region, and so aws-sigv4 should be used instead.

  • This signer does not provide a method to compute pre-signed URLs. This is available in the aws-sigv4 gem.

Defined Under Namespace

Classes: Credentials, Signer, StaticCredentialsProvider